﻿
.feature_background{
    background-repeat: no-repeat;
    background-size:cover;
    width:100%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
}
.feature_subject{
    color: #FFF;
    font-size: 3rem;
    font-weight: 800;
    display:block;
}
.feature_container {
    display: flex;
    width: 100%;
    max-width: 950px;
    margin: auto;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}

.feature_item {
    border: 1px solid lightgray;
    border-radius: 5px;
    box-shadow: 5px 5px 6px 1px rgba(0,0,0,0.47);
    /*background-color: rgba(32,32,32, 0.7);*/
    background-color: rgba(255,255,255, 0.9);
}
.feature_caption {
    /* color: #FFF; */
    font-weight: 600;
}

.feature_note {
    /* color: #ccc; */
    display: block;
}

.feature_image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    height: 64px;

}
.feature_item_table {
    table-layout:fixed;
    width:100%;
    height:100%;
}
@media only screen and (max-width: 1000px) {
    .feature_background {
        margin-top: 6rem;
        z-index:999;
    }
    .feature_item {
        display: block;
        width: 80%;
        margin: 15px 10px 5px 10px;
        border-radius: 15px;
        transition: height 2s linear;
        padding: 5px;
    }
    .feature_item:nth-child(2n+1){
        background-color:rgba(191,222,255,0.9);
    }
    .feature-expandable > .feature_note {
        max-height:100px;
        text-overflow:ellipsis;
        overflow:hidden;
    }
    .feature-expandable{
        padding-bottom: 20px;
    }
    .feature-expandable:after {
        content: " ";
        width: 0;
        height: 0;
        position: absolute;
        right: 50%;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-top: 15px solid #ddd;
    }

    .feature_image_container {
        width: 98px;
        display: unset;
        float: left;
        margin: 5px;
    }
    .feature_image {
        height: 96px;
    }
    .feature_caption {
        font-size: 48px;
        display: inline-block;
    }

    .feature_note {
        word-break: break-word;
        font-size: 36px;
        margin-left:2rem;
    }
}

@media only screen and (min-width: 1000px) {
    .feature_background {
        padding:4rem;
    }
    .feature_item {
        display: block;
        width: 250px;
        min-height: 120px;
        margin: 15px 10px 5px 10px;
        padding: 5px;
    }
    .feature_image_container {
        width: 72px;
        display: unset;
        float: left;
        margin: 5px;
    }
    .feature_image {
        height: 64px;
    }
    .feature_caption {
        font-size: large;
        display: block;
    }
    .feature_note {
        word-break: break-word;
        font-size: small;
    }
}



.technology-background {
    
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 400px;
    padding: 3rem 0;

}
.techItemContainer {
    background-color: #fff;
    /*
    border-radius: 8px;
    border: 1px solid rgba(0,0,0,0.4);
    box-shadow: 10px 10px 5px 0 rgba(0,0,0,0.4);
        */
    padding: 1rem 15% 1rem 1rem;
    max-height: 600px;
    position: relative;
    margin-bottom: 3rem;
}
.techPhone-right {
    padding: 1rem 15% 1rem 1rem;
}

.techPhone-left {
    padding: 0.5rem 1rem 1rem 15%;
}

.techItemContainer .phone-app {
    width: 30%;
    position: absolute;
    transform: scale(0.6);
    top: -30%;
    z-index:999;
}
.techPhone-right .phone-app {
    right: -15%;
}
.techPhone-left .phone-app {
    left: -15%;

}


.techDiagram{
    display:block;
    width:100%;
    margin-top:1rem;
    margin-bottom:1rem;
    height:400px;
}
.techItemTitle {
    font-size: 24px;
    font-weight:600;
}

.techItemDesc {
    font-size:18px;
}

@media only screen and (max-width: 1000px) {
    .techItemContainer {
        width: 95%;
        padding: 1rem;
    }
    .techItemRow .phone-app {
        transform: scale(0.7);
        transform-origin: left;
        margin: 1rem;
    }
    .techItemRow td {
        padding:1rem;
    }
 .techDiagram {
     background-position:center;
     width:unset;
 }   
}
@media only screen and (min-width: 1000px) {
    .techItemContainer {
        width: 750px;
    }
}


.appicon {
    position: absolute;
    border: 3px solid cyan;
    border-radius: 10px;
    /* box-shadow: 0 0 15px 5px cyan; */
    left: 57%;
    top: 45%;
    height: 3px;
    width: 3px;
    background-size: 1px;
    background-repeat: no-repeat;
    background-position: center;
    background-position-y: 5px;
    color: cyan;
    justify-content: center;
    align-items: flex-end;
    font-size: 12px;
    filter: grayscale(100%) brightness(100%) sepia(96%) saturate(1543%) hue-rotate(146deg) contrast(150%);
    opacity: 0;
    display: inline-flex;
    cursor: pointer;
}
    .appicon:after {
        content: attr(prodname);
    }

.appline {
    display:none;
    position:absolute;
    /*
    right: 57%;
    bottom: 45%;
        */
}

.appicon[product="pbx"] {
    background-image: url(/app/nextpbx/icon.png);
    transition: all 500ms ease-in;
}

.appopened[product="pbx"],
.appideaContainer[state="started"] ~ .appicon[product="pbx"],
.appideaContainer:hover ~ .appicon[product="pbx"],
.apphoverCircle:hover ~ .appicon[product="pbx"] {
    left: 44%;
    top: 58%;
}


.appicon[product="dvr"] {
    background-image: url(/app/nextdvr/icon.png);
    transition: all 500ms ease-in;
}
.appopened[product="dvr"],
.appideaContainer[state="started"] ~ .appicon[product="dvr"],
.appideaContainer:hover ~ .appicon[product="dvr"],
.apphoverCircle:hover ~ .appicon[product="dvr"] {
    left: 40%;
    top: 40%;
}
.appicon[product="vpn"] {
    background-image: url(/app/nextvpn/icon.png);
    transition: all 500ms ease-in;
}
.appopened[product="vpn"],
.appideaContainer[state="started"] ~ .appicon[product="vpn"],
.appideaContainer:hover ~ .appicon[product="vpn"],
.apphoverCircle:hover ~ .appicon[product="vpn"] {
    left: 45%;
    top: 26%;
}


.appicon[product="rpa"] {
    background-image: url(/app/nextrpa/icon.png);
    transition: all 500ms ease-in;
}
.appopened[product="rpa"],
.appideaContainer[state="started"] ~ .appicon[product="rpa"],
.appideaContainer:hover ~ .appicon[product="rpa"],
.apphoverCircle:hover ~ .appicon[product="rpa"] {
    left: 54%;
    top: 18%;
}

.appicon[product="app"] {
    background-image: url(/next-web/features/05-app/next-devices.png);
    transition: all 500ms ease-in;
}
.appopened[product="app"],
.appideaContainer[state="started"] ~ .appicon[product="app"],
.appideaContainer:hover ~ .appicon[product="app"],
.apphoverCircle:hover ~ .appicon[product="app"] {
    left: 53%;
    top: 70%;
}




.apphoverCircle {
    width: 96px;
    height: 96px;
    left: 52%;
    top: 44%;
    display: inline-block;
    position: absolute;
    z-index: 99;
    cursor: pointer;
    background-image: url(/next-web/img/nextlogo.svg);
    background-size: contain;
    filter: grayscale(100%) brightness(300%) sepia(96%) saturate(1543%) hue-rotate(146deg) contrast(150%);
}

.appideaContainer, .appIdea {
    height: 96px;
}
.appideaContainer[state="started"] {
    width: 0px;
    left: 56%;
    top: 34%;
    display: inline-block;
    position: absolute;
    overflow: hidden;
    animation-name: ideaMask;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: 1
    /*animation-iteration-count:infinite;  */
}
@keyframes ideaMask {
    from { 
        width: 0px;
    }
    to {
        width: 300px;
    }
}
.appIdea {
    width: 296px;
    left: 0;
    top: 0;
    position: absolute;
    filter: invert(100%) brightness(300%) sepia(96%) saturate(1543%) hue-rotate(146deg) contrast(150%);
}
.appcircleopened,
.appideaContainer:hover ~ .apphoverCircle,
.appideaContainer[state="started"] ~ .apphoverCircle,
.apphoverCircle:hover {
    /*
        border: 1px solid gold;
        box-shadow: 0 0 2px 1px gold;
            */
    filter: brightness(170%);
}
    .appopened,
    .appideaContainer:hover ~ .appicon,
    .appideaContainer[state="started"] ~ .appicon,
    .apphoverCircle:hover ~ .appicon {
        opacity: 1;
        height: 86px;
        width: 64px;
        background-size: 56px;
        box-shadow: 0 0 15px 5px cyan;
    }

    .appcircle {
        border: 1px solid cyan;
        display: inline-block;
        position: absolute;
        width: 600px;
        height: 600px;
        left: 37.5%;
        top: 14%;
        border-radius: 50%;
        display:none;
    }